# Copyright (c) 2023 nggit

from .lib.http_exception import (
    TremoloException,
    HTTPException,
    BadRequest,
    Unauthorized,
    Forbidden,
    NotFound,
    MethodNotAllowed,
    RequestTimeout,
    PayloadTooLarge,
    URITooLong,
    RangeNotSatisfiable,
    ExpectationFailed,
    InternalServerError,
    ServiceUnavailable
)

class ASGIException(TremoloException):
    message = 'ASGIException'

class LifespanError(ASGIException):
    pass

class LifespanProtocolUnsupported(ASGIException):
    message = 'ASGI Lifespan Protocol is not supported by your application'
